package kr.co.hanwha.hifive.data.model;

import android.text.TextUtils;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class NotificationData {
    public String group_id;
    public String title;
    public String message;
    public String type;
    public String value1;
    public String value2;
    public String value3;
    public String db_code;

    public NotificationData() {
        this.group_id = "";
        this.title = "";
        this.message = "";
        this.type = "";
        this.value1 = "";
        this.value2 = "";
        this.value3 = "";
        this.db_code = "";
    }

    public NotificationData(String group_id, String title, String message, String type, String value1, String value2, String value3, String db_code) {
        this.group_id = group_id;
        this.title = title;
        this.message = message;
        this.type = type;
        this.value1 = value1;
        this.value2 = value2;
        this.value3 = value3;
        this.db_code = db_code;
    }

    public String getGroup_id() {
        return group_id;
    }

    public void setGroup_id(String group_id) {
        this.group_id = group_id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue1() {
        return value1;
    }

    public void setValue1(String value1) {
        this.value1 = value1;
    }

    public String getValue2() {
        return value2;
    }

    public void setValue2(String value2) {
        this.value2 = value2;
    }

    public String getValue3() {
        return value3;
    }

    public void setValue3(String value3) {
        this.value3 = value3;
    }

    public String getDb_code() {
        return db_code;
    }
    public int getIntDb_code(){
        try{
            if (TextUtils.isEmpty(db_code) == false)
                return Integer.parseInt(db_code);
        }catch (Exception e){
            e.printStackTrace();
        }
        return 0;
    }

    public void setDb_code(String db_code) {
        this.db_code = db_code;
    }
}
